﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace CategoricalChart_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<ChartData> data = new List<ChartData>();
            data.Add(new ChartData("Text1", -5, 25));
            data.Add(new ChartData("Text2", -10, 50));
            data.Add(new ChartData("Text3", 25, 70));
            radChart.ItemsSource = data;
        }

        public class ChartData
        {
            public ChartData(string title, double? value, double? value2)
            {
                this.Title = title;
                this.Value = value;
                this.Value2 = value2;
            }

            public string Title { get; set; }
            public double? Value { get; set; }
            public double? Value2 { get; set; }
        }
    }
}
